xquery version "3.1";

declare namespace array = "http://www.w3.org/2005/xpath-functions/array";
declare namespace output = "http://www.w3.org/2010/xslt-xquery-serialization"; 
declare namespace map = "http://www.w3.org/2005/xpath-functions/map";

declare option output:method "json";
declare option output:indent "yes";

(: The URI of the document that is to be queried :)
declare variable $document-uri as xs:string external;

(: The JSON document :)
declare variable $document := json-doc($document-uri);

(: The technology ID :)
declare variable $technology as xs:string := "XML";

(: The books :)
let $books := $document?books?book

return array {
  for $book in $books?* where (compare($book?technology, $technology) eq 0)
  return map {
   "author": data($book?author),
   "title": data($book?title)
  }
}